# PossiblyForwardedMessage - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message.abstracts / PossiblyForwardedMessage

# PossiblyForwardedMessage

(common) `interface PossiblyForwardedMessage : Message` (source)

### Properties

(common)

#### forwardInfo

`abstract val forwardInfo: ForwardInfo?`

### Extension Functions

(common)

#### delete

`suspend fun Message.delete(requestsExecutor: RequestsExecutor): Boolean`

### Inheritors

(common)

#### CommonMessage

`interface CommonMessage<T : MessageContent> : Message, PossiblyForwardedMessage, PossiblyEditedMessage, PossiblyReplyMessage, PossiblyMarkedUp, ContentMessage<T>`